Thu, 29 Oct 2026 00:26:03 UTC | login

Information for RPM perl-IO-Compress-2.224-1.fc45.src.rpm

ID65628
Buildperl-IO-Compress-2.224-1.fc45
Nameperl-IO-Compress
Version2.224
Release1.fc45
Epoch
Archsrc
DraftFalse
SummaryRead and write compressed data
DescriptionThis distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 (i.e. gzip) and zip files/buffers. The following modules used to be distributed separately, but are now included with the IO-Compress distribution: * Compress-Zlib * IO-Compress-Zlib * IO-Compress-Bzip2 * IO-Compress-Base
Build Time2026-10-16 20:35:10 GMT
Size373.66 KB
f2811c62e8abf22f88bd7acf2b069079
LicenseGPL-1.0-or-later OR Artistic-1.0-Perl
Buildrootf45-build-24225-602
Provides
perl-IO-Compress = 2.224-1.fc45
perl-IO-Compress-tests = 2.224-1.fc45
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
coreutils
findutils
make
perl(Carp)
perl(Compress::Raw::Bzip2) >= 2.224
perl(Compress::Raw::Zlib) >= 2.224
perl(Config)
perl(Data::Dumper)
perl(Encode)
perl(Exporter)
perl(ExtUtils::MakeMaker) >= 6.76
perl(Fcntl)
perl(File::Copy)
perl(File::Glob)
perl(File::Path)
perl(File::Spec)
perl(File::Spec::Functions)
perl(File::Temp)
perl(IO::File)
perl(IO::Handle)
perl(List::Util)
perl(Scalar::Util)
perl(Symbol)
perl(Test::More)
perl(Test::NoWarnings)
perl(Time::Local)
perl(bytes)
perl(constant)
perl(lib)
perl(overload)
perl(strict)
perl(threads::shared)
perl(utf8)
perl(warnings)
perl-generators
perl-interpreter
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 2 of 2
Name ascending sort Size
IO-Compress-2.224.tar.gz329.08 KB
perl-IO-Compress.spec27.74 KB
Component of No Buildroots